Retrieve all tasks related to a specific asset.
GET
/data/assets/{asset_id}/tasks
curl
curl -X GET "http://api.example.com/data/assets/a24a6ea4-ce75-4665-a070-57453082c25/tasks?task_type_id=a24a6ea4-ce75-4665-a070-57453082c25&task_status_id=a24a6ea4-ce75-4665-a070-57453082c25" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/assets/a24a6ea4-ce75-4665-a070-57453082c25/tasks"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {
"task_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"task_status_id": "a24a6ea4-ce75-4665-a070-57453082c25"
}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request GET 'http://api.example.com/data/assets/a24a6ea4-ce75-4665-a070-57453082c25/tasks' \
--header "Authorization: $API_KEY"
Response examples (200)
[
{
"id": "e68e0ie8-gi19-8009-e514-91897426g69",
"name": "Modeling Task",
"task_type_id": "f79f1jf9-hj20-9110-f625-02908537h70",
"task_status_id": "g80g2kg0-ik31-0221-g736-13019648i81",
"entity_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"assigned_to": "h91h3lh1-jl42-1332-h847-24120759j92",
"created_at": "2023-01-01T12:00:00Z",
"updated_at": "2023-01-01T12:30:00Z"
}
]